Ubuntu

Microphone inputs do not work, playback through totem requires restart for each file opened.

Reported by imwithid on 2009-10-23
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Daniel T Chen
Lucid
Undecided
Unassigned
Maverick
Undecided
Daniel T Chen

Bug Description

This bugfix is part of the upstream stable update for Lucid to 2.6.32.13 (see Bug #583414).

---

Ubuntu 9.10 (RC - 20-Oct-2009 20:18)
Kernel Linux 2.6.31-14-generic
GNOME 2.28.0

Microphone does not work. I've tried every input on my computer. In the sound preferences for each input, I selected Microphone 1, 2 and Input to test every combination. I also tried recording using gnome-sound-recorder 2.28.1. A hissing sound was all that was recorded.

One other problem I've noticed since the Beta release into the current release is that when playing videos in Movie Player (Totem Movie Player 2.28.1), the sound cuts off after the first video if running a play list or executing another video file while the Movie Player is running. In order to hear the audio portion, one must shut down Media Player and run it again to hear the sound. Media Player must be closed down for each file that is opened.

Here are my system stats:

[code]
lshw
WARNING: you should run this program as super-user.
dm-desktop
    description: Computer
    width: 64 bits
    capabilities: vsyscall64 vsyscall32
  *-core
       description: Motherboard
       physical id: 0
     *-memory
          description: System memory
          physical id: 0
          size: 999MiB
     *-cpu
          product: Intel(R) Core(TM)2 CPU 6300 @ 1.86GHz
          vendor: Intel Corp.
          physical id: 1
          bus info: cpu@0
          size: 1862MHz
          capacity: 1862MHz
          width: 64 bits
          capabilities: fpu fpu_exception wp vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx x86-64 constant_tsc arch_perfmon pebs bts rep_good pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm lahf_lm tpr_shadow cpufreq
     *-pci
          description: Host bridge
          product: 82P965/G965 Memory Controller Hub
          vendor: Intel Corporation
          physical id: 100
          bus info: pci@0000:00:00.0
          version: 02
          width: 32 bits
          clock: 33MHz
          configuration: driver=agpgart-intel
          resources: irq:0
        *-display
             description: VGA compatible controller
             product: 82G965 Integrated Graphics Controller
             vendor: Intel Corporation
             physical id: 2
             bus info: pci@0000:00:02.0
             version: 02
             width: 64 bits
             clock: 33MHz
             capabilities: bus_master cap_list rom
             configuration: driver=i915 latency=0
             resources: irq:31 memory:50200000-502fffff memory:40000000-4fffffff(prefetchable) ioport:2410(size=8)
        *-communication
             description: Communication controller
             product: 82P965/G965 HECI Controller
             vendor: Intel Corporation
             physical id: 3
             bus info: pci@0000:00:03.0
             version: 02
             width: 64 bits
             clock: 33MHz
             capabilities: bus_master cap_list
             configuration: driver=heci latency=0
             resources: irq:16 memory:50326100-5032610f
        *-network
             description: Ethernet interface
             product: 82566DC Gigabit Network Connection
             vendor: Intel Corporation
             physical id: 19
             bus info: pci@0000:00:19.0
             logical name: eth0
             version: 02
             serial: 00:16:76:d4:08:c7
             width: 32 bits
             clock: 33MHz
             capabilities: bus_master cap_list ethernet physical
             configuration: broadcast=yes driver=e1000e driverversion=1.0.2-k2 firmware=1.1-0 ip=192.168.2.13 latency=0 multicast=yes
             resources: irq:30 memory:50300000-5031ffff memory:50324000-50324fff ioport:20e0(size=32)
        *-usb:0
             description: USB Controller
             product: 82801H (ICH8 Family) USB UHCI Controller #4
             vendor: Intel Corporation
             physical id: 1a
             bus info: pci@0000:00:1a.0
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: bus_master
             configuration: driver=uhci_hcd latency=0
             resources: irq:16 ioport:20c0(size=32)
        *-usb:1
             description: USB Controller
             product: 82801H (ICH8 Family) USB UHCI Controller #5
             vendor: Intel Corporation
             physical id: 1a.1
             bus info: pci@0000:00:1a.1
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: bus_master
             configuration: driver=uhci_hcd latency=0
             resources: irq:21 ioport:20a0(size=32)
        *-usb:2
             description: USB Controller
             product: 82801H (ICH8 Family) USB2 EHCI Controller #2
             vendor: Intel Corporation
             physical id: 1a.7
             bus info: pci@0000:00:1a.7
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: bus_master cap_list
             configuration: driver=ehci_hcd latency=0
             resources: irq:18 memory:50325c00-50325fff
        *-multimedia
             description: Audio device
             product: 82801H (ICH8 Family) HD Audio Controller
             vendor: Intel Corporation
             physical id: 1b
             bus info: pci@0000:00:1b.0
             version: 02
             width: 64 bits
             clock: 33MHz
             capabilities: bus_master cap_list
             configuration: driver=HDA Intel latency=0
             resources: irq:22 memory:50320000-50323fff
        *-pci:0
             description: PCI bridge
             product: 82801H (ICH8 Family) PCI Express Port 1
             vendor: Intel Corporation
             physical id: 1c
             bus info: pci@0000:00:1c.0
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: pci bus_master cap_list
             configuration: driver=pcieport-driver
             resources: irq:24
        *-pci:1
             description: PCI bridge
             product: 82801H (ICH8 Family) PCI Express Port 2
             vendor: Intel Corporation
             physical id: 1c.1
             bus info: pci@0000:00:1c.1
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: pci bus_master cap_list
             configuration: driver=pcieport-driver
             resources: irq:25 ioport:1000(size=4096) memory:50100000-501fffff
           *-ide
                description: IDE interface
                product: 88SE6101 single-port PATA133 interface
                vendor: Marvell Technology Group Ltd.
                physical id: 0
                bus info: pci@0000:02:00.0
                version: b1
                width: 32 bits
                clock: 33MHz
                capabilities: ide bus_master cap_list
                configuration: driver=pata_marvell latency=0
                resources: irq:17 ioport:1018(size=8) ioport:1024(size=4) ioport:1010(size=8) ioport:1020(size=4) ioport:1000(size=16) memory:50100000-501001ff
        *-pci:2
             description: PCI bridge
             product: 82801H (ICH8 Family) PCI Express Port 3
             vendor: Intel Corporation
             physical id: 1c.2
             bus info: pci@0000:00:1c.2
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: pci bus_master cap_list
             configuration: driver=pcieport-driver
             resources: irq:26
        *-pci:3
             description: PCI bridge
             product: 82801H (ICH8 Family) PCI Express Port 4
             vendor: Intel Corporation
             physical id: 1c.3
             bus info: pci@0000:00:1c.3
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: pci bus_master cap_list
             configuration: driver=pcieport-driver
             resources: irq:27
        *-pci:4
             description: PCI bridge
             product: 82801H (ICH8 Family) PCI Express Port 5
             vendor: Intel Corporation
             physical id: 1c.4
             bus info: pci@0000:00:1c.4
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: pci bus_master cap_list
             configuration: driver=pcieport-driver
             resources: irq:28
        *-usb:3
             description: USB Controller
             product: 82801H (ICH8 Family) USB UHCI Controller #1
             vendor: Intel Corporation
             physical id: 1d
             bus info: pci@0000:00:1d.0
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: bus_master
             configuration: driver=uhci_hcd latency=0
             resources: irq:23 ioport:2080(size=32)
        *-usb:4
             description: USB Controller
             product: 82801H (ICH8 Family) USB UHCI Controller #2
             vendor: Intel Corporation
             physical id: 1d.1
             bus info: pci@0000:00:1d.1
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: bus_master
             configuration: driver=uhci_hcd latency=0
             resources: irq:19 ioport:2060(size=32)
        *-usb:5
             description: USB Controller
             product: 82801H (ICH8 Family) USB UHCI Controller #3
             vendor: Intel Corporation
             physical id: 1d.2
             bus info: pci@0000:00:1d.2
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: bus_master
             configuration: driver=uhci_hcd latency=0
             resources: irq:18 ioport:2040(size=32)
        *-usb:6
             description: USB Controller
             product: 82801H (ICH8 Family) USB2 EHCI Controller #1
             vendor: Intel Corporation
             physical id: 1d.7
             bus info: pci@0000:00:1d.7
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: bus_master cap_list
             configuration: driver=ehci_hcd latency=0
             resources: irq:23 memory:50325800-50325bff
        *-pci:5
             description: PCI bridge
             product: 82801 PCI Bridge
             vendor: Intel Corporation
             physical id: 1e
             bus info: pci@0000:00:1e.0
             version: f2
             width: 32 bits
             clock: 33MHz
             capabilities: pci bus_master cap_list
             resources: memory:50000000-500fffff
           *-firewire
                description: FireWire (IEEE 1394)
                product: TSB43AB22/A IEEE-1394a-2000 Controller (PHY/Link)
                vendor: Texas Instruments
                physical id: 3
                bus info: pci@0000:06:03.0
                version: 00
                width: 32 bits
                clock: 33MHz
                capabilities: bus_master cap_list
                configuration: driver=ohci1394 latency=32 maxlatency=4 mingnt=2
                resources: irq:19 memory:50004000-500047ff memory:50000000-50003fff
        *-isa
             description: ISA bridge
             product: 82801HH (ICH8DH) LPC Interface Controller
             vendor: Intel Corporation
             physical id: 1f
             bus info: pci@0000:00:1f.0
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: isa bus_master cap_list
             configuration: latency=0
        *-storage
             description: SATA controller
             product: 82801HR/HO/HH (ICH8R/DO/DH) 6 port SATA AHCI Controller
             vendor: Intel Corporation
             physical id: 1f.2
             bus info: pci@0000:00:1f.2
             version: 02
             width: 32 bits
             clock: 66MHz
             capabilities: storage bus_master cap_list
             configuration: driver=ahci latency=0
             resources: irq:29 ioport:2408(size=8) ioport:241c(size=4) ioport:2400(size=8) ioport:2418(size=4) ioport:2020(size=32) memory:50325000-503257ff
        *-serial UNCLAIMED
             description: SMBus
             product: 82801H (ICH8 Family) SMBus Controller
             vendor: Intel Corporation
             physical id: 1f.3
             bus info: pci@0000:00:1f.3
             version: 02
             width: 32 bits
             clock: 33MHz
             configuration: latency=0
             resources: memory:50326000-503260ff ioport:2000(size=32)
  *-scsi
       physical id: 1
       bus info: scsi@8
       logical name: scsi8
       capabilities: scsi-host
       configuration: driver=usb-storage
[/code]

ProblemType: Bug
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: dm 1528 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0x50320000 irq 22'
   Mixer name : 'SigmaTel STAC9271D'
   Components : 'HDA:83847627,80862503,00100201'
   Controls : 37
   Simple ctrls : 24
CheckboxCommand: alsa_record_playback
CheckboxData: Microphone input does not work
CheckboxTest: alsa_record_playback_alternates
Date: Fri Oct 23 08:51:26 2009
DistroRelease: Ubuntu 9.10
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release Candidate amd64 (20091020)
Package: alsa-base 1.0.20+dfsg-1ubuntu5
PackageArchitecture: all
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_CA.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
SourcePackage: alsa-driver
Tags: checkbox-bug
Uname: Linux 2.6.31-14-generic x86_64
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: dm 1204 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0x50320000 irq 22'
   Mixer name : 'SigmaTel STAC9271D'
   Components : 'HDA:83847627,80862503,00100201'
   Controls : 37
   Simple ctrls : 24
DistroRelease: Ubuntu 10.04
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20100321)
Package: alsa-base 1.0.22.1+dfsg-0ubuntu3
PackageArchitecture: all
ProcEnviron:
 LANG=en_CA.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-16.25-generic
Tags: lucid
Uname: Linux 2.6.32-16-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: dm 1204 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0x50320000 irq 22'
   Mixer name : 'SigmaTel STAC9271D'
   Components : 'HDA:83847627,80862503,00100201'
   Controls : 37
   Simple ctrls : 24
DistroRelease: Ubuntu 10.04
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20100321)
Package: alsa-base 1.0.22.1+dfsg-0ubuntu3
PackageArchitecture: all
ProcEnviron:
 LANG=en_CA.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-16.25-generic
Tags: lucid
Uname: Linux 2.6.32-16-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

imwithid (imwithid) wrote :

Please look at how many of your Capture elements are zeroed and muted.
Try using alsamixer in a Terminal.

Luke Yelavich (themuso) wrote :

Please also make sure you have an output + input audio profile selected in the hardware tab of the volume control preferences.

Brad Figg (brad-figg) wrote :

Hi imwithid,

Please, if you are still having issues, test with the latest development release of Ubuntu. ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p alsa-base 459083

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds .

Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

Please let us know your results.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-triage needs-required-logs needs-test-current-image no-sound-mic totem-crash
Changed in alsa-driver (Ubuntu):
status: New → Incomplete
Brad Figg (brad-figg) on 2010-03-31
tags: added: karmic

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

imwithid (imwithid) wrote :

This solved the problem:

http://ubuntuforums.org/showthread.php?p=8881261#post8881261

It is the first time that I've ever been able to use the external microphone.

I find that there seems to be confusion or a lack of clarity in many of the forums with respect to hardware. Although desktops and laptops have become more similar, the prevalence of laptops and portable computers in general have made finding solutions messy, especially for desktops. I was fortunate enough to find this solution in this case.

imwithid (imwithid) wrote :

Also, with regard to the apport report, it crashed during the final stages. The video test led to a forced restart as the video was unstable after running through the test.

Daniel T Chen (crimsun) wrote :

What is the make & model of this motherboard?

imwithid (imwithid) wrote :

This motherboard is a DG965OT, board version AAD63733-203. It is from the Intel 965 Express chipset family for desktops. Do you require further details?

Daniel T Chen (crimsun) wrote :

Just to clarify, you only added position_fix=1, correct? Also, are you okay with your e-mail being used in the Reported-by and Tested-by fields for a patch to be sent upstream and to stable@?

Daniel T Chen (crimsun) wrote :
Changed in alsa-driver (Ubuntu):
status: Incomplete → Triaged
Download full text (16.1 KiB)

Yes, that would be correct. Add only "position_fix=1" to file "alsa-base.conf" in "etc/modprobe.d/".
I found that adding the other code, in my case, added noise to the microphone recording. I cannot confirm that as I had tried it twice and I cannot recall if it was a controlled test.
And yes, you may use my e-mail address if you wish as required.
Regards,Dan.
--- On Tue, 4/20/10, Daniel T Chen <email address hidden> wrote:

From: Daniel T Chen <email address hidden>
Subject: [Bug 459083] Re: Microphone inputs do not work, playback through totem requires restart for each file opened.
To: <email address hidden>
Received: Tuesday, April 20, 2010, 10:54 PM

Just to clarify, you only added position_fix=1, correct? Also, are you
okay with your e-mail being used in the Reported-by and Tested-by fields
for a patch to be sent upstream and to stable@?

--
Microphone inputs do not work, playback through totem requires restart for each file opened.
https://bugs.launchpad.net/bugs/459083
You received this bug notification because you are a direct subscriber
of the bug.

Status in “alsa-driver” package in Ubuntu: Incomplete

Bug description:
Ubuntu 9.10 (RC - 20-Oct-2009 20:18)
Kernel Linux 2.6.31-14-generic
GNOME 2.28.0

Microphone does not work. I've tried every input on my computer. In the sound preferences for each input, I selected Microphone 1, 2 and Input to test every combination. I also tried recording using gnome-sound-recorder 2.28.1. A hissing sound was all that was recorded.

One other problem I've noticed since the Beta release into the current release is that when playing videos in Movie Player (Totem  Movie Player 2.28.1), the sound cuts off after the first video if running a play list or executing another video file while the Movie Player is running. In order to hear the audio portion, one must shut down Media Player and run it again to hear the sound. Media Player must be closed down for each file that is opened.

Here are my system stats:

[code]
lshw
WARNING: you should run this program as super-user.
dm-desktop
    description: Computer
    width: 64 bits
    capabilities: vsyscall64 vsyscall32
  *-core
       description: Motherboard
       physical id: 0
     *-memory
          description: System memory
          physical id: 0
          size: 999MiB
     *-cpu
          product: Intel(R) Core(TM)2 CPU          6300  @ 1.86GHz
          vendor: Intel Corp.
          physical id: 1
          bus info: cpu@0
          size: 1862MHz
          capacity: 1862MHz
          width: 64 bits
          capabilities: fpu fpu_exception wp vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx x86-64 constant_tsc arch_perfmon pebs bts rep_good pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm lahf_lm tpr_shadow cpufreq
     *-pci
          description: Host bridge
          product: 82P965/G965 Memory Controller Hub
          vendor: Intel Corporation
          physical id: 100
          bus info: pci@0000:00:00.0
          version: 02
          width: 32 bits
          clock: 33MHz
          configuration: driver=agpgart-intel
          resources: irq...

Daniel T Chen (crimsun) wrote :
Changed in alsa-driver (Ubuntu):
assignee: nobody → Daniel T Chen (crimsun)
status: Triaged → Fix Committed
madbiologist (me-again) wrote :

The patch linked in comment #32 is now under review for kernel 2.6.32.13-stable.

Stefan Bader (smb) on 2010-06-10
description: updated
Martin Pitt (pitti) on 2010-06-11
affects: alsa-driver (Ubuntu) → linux (Ubuntu)

Accepted linux into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in linux (Ubuntu Lucid):
status: New → Fix Committed
tags: added: verification-needed
Andy Whitcroft (apw) on 2010-06-18
Changed in linux (Ubuntu Maverick):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (25.2 KiB)

This bug was fixed in the package linux - 2.6.32-23.37

---------------
linux (2.6.32-23.37) lucid-proposed; urgency=low

  [ Alex Deucher ]

  * SAUCE: drm/radeon/kms/atom: fix dual-link DVI on DCE3.2/4.0
    - LP: #564559

  [ Andy Whitcroft ]

  * [Config] ports -- build in dm-mod to enable LVM boot
    - LP: #560717
  * tools -- fix perf version extraction for multi-part flavours
    - LP: #555130
  * SAUCE: ACPI: EC: Allow multibyte access to EC (v3)
    - LP: #526354
  * [Config] enforce -- ensure dm_mod is built-in for LVM
    - LP: #560717
  * update to ubuntu-debian:7e708d33054c373faf41da23b73e8b48c342d958
    - LP: #570500, #576274

  [ Chase Douglas ]

  * Revert "(pre-stable): input: ALPS - Add signature for HP Pavilion dm3
    laptops"
    - LP: #550625
  * Enable ftrace function profiler
    - LP: #570389
  * enforce CONFIG_TMPFS_POSIX_ACL=y
    - LP: #575940

  [ Leann Ogasawara ]

  * Revert "staging/comdi -- disable"
    - LP: #563436
  * [Config] Enable multicast routing for sparc
    - LP: #416266
  * [Config] Add ahci.ko to virtual sub-flavour
    - LP: #570542

  [ Stefan Bader ]

  * Revert "SAUCE: drm/i915: Disable FBC on 915GM and 945GM"
    - LP: #588832

  [ Tim Gardner ]

  * ubuntu: rtl8192se -- update to version 0015.0127.2010
    - LP: #567016
  * [Config] Add atl1c to nic-modules udeb
    - LP: #557130

  [ Upstream Kernel Changes ]

  * Revert "(pre-stable) iwlwifi: fix nfreed--"
    - LP: #575853
  * Revert "backlight: mbp_nvidia_bl - add five more MacBook variants"
    - LP: #575853
  * Revert "(pre-stable) pata_via: Add VIA VX900 support"
    - LP: #575853
  * Revert "(pre-stable) x86-32, resume: do a global tlb flush in S4
    resume"
    - LP: #575853
  * Revert "x86: disable IOMMUs on kernel crash"
    - LP: #575853
  * Revert "sunrpc: fix peername failed on closed listener"
    - LP: #575853
  * Revert "sunrpc: move the close processing after do recvfrom method"
    - LP: #575853
  * Revert "(pre-stable) drm/edid: allow certain bogus edids to hit a fixup
    path rather than fail"
    - LP: #575853
  * Revert "drm/radeon/kms: don't print error on -ERESTARTSYS."
    - LP: #575853
  * Revert "ath9k: fix lockdep warning when unloading module" on stable
    kernels
    - LP: #588832
  * Staging: comedi: removed "depricated" from COMEDI_CB_BLOCK
    - LP: #483343
  * fat: fix buffer overflow in vfat_create_shortname()
    - LP: #575853
  * xfs: simplify inode teardown
    - LP: #575853
  * xfs: fix mmap_sem/iolock inversion in xfs_free_eofblocks
    - LP: #575853
  * xfs: I/O completion handlers must use NOFS allocations
    - LP: #575853
  * xfs: Wrapped journal record corruption on read at recovery
    - LP: #575853
  * xfs: Fix error return for fallocate() on XFS
    - LP: #575853
  * xfs: check for not fully initialized inodes in xfs_ireclaim
    - LP: #575853
  * xfs: fix timestamp handling in xfs_setattr
    - LP: #575853
  * xfs: Don't flush stale inodes
    - LP: #575853
  * xfs: Ensure we force all busy extents in range to disk
    - LP: #575853
  * xfs: reclaim inodes under a write lock
    - LP: #575853
  * xfs: Avoid inodes in reclaim when flushing from inode cache
    - LP: #575853
  * xfs: recla...

Changed in linux (Ubuntu Lucid):
status: Fix Committed → Fix Released
To post a comment you must log in.